## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           gimp-fourier-plugin
Version:        0.4.3
Release:        %autorelease
Summary:        A simple plug-in to do fourier transform on your image

License:        GPL-3.0-or-later
URL:            https://www.lprp.fr/gimp_plugin_en/
Source0:        https://www.lprp.fr/files/old-web/soft/gimp/fourier-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make

BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(gimp-2.0)

BuildRequires:  dos2unix

Requires:       gimp

%description
A simple plug-in to do fourier transform on your image. The major advantage of 
this plugin is to be able to work with the transformed image inside GIMP.


%prep
%autosetup -n fourier-%{version}

# Remove pre-compiled executable
rm -vf fourier

for f in README README.Moire
do
  iconv --from-code=ISO-8859-1 --to-code=UTF-8 "${f}" > "${f}.tmp"
  dos2unix "${f}.tmp"
  touch -r "${f}" "${f}.tmp"
  mv "${f}.tmp" "${f}"
done


%build
%set_build_flags
# We must override the default CFLAGS/LIBS to respect distro flags (including
# ignoring the hard-coded -O2).
#
# We can’t use “gimptool-2.0 install-bin” to install into the buildroot.
# We therefore don’t need gimptool-2.0 at all.
%make_build \
    GIMPTOOL=/bin/false \
    GCC="${CC:-gcc}" \
    CFLAGS="${CFLAGS} $(pkgconf fftw3 gimp-2.0 --cflags)" \
    LIBS="${LDFLAGS} $(pkgconf fftw3 gimp-2.0 --libs) -lm"


%install
DESTDIR='%{buildroot}/%{_libdir}/gimp/2.0/plug-ins'
%make_install \
    GIMPTOOL=/bin/false \
    PLUGIN_INSTALL="install -t '${DESTDIR}' -D -p"


# Upstream provides no tests.


%files
%doc README
%doc README.Moire

%{_libdir}/gimp/2.0/plug-ins/fourier


%changelog
* Thu Aug 04 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.4.3-4
- Update License to SPDX (GPLv3+ → GPL-3.0-or-later)

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Mar 24 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.3-1
- Update to 0.4.3
- Update URL and Source0 URL
- Use upstream Makefile without patching
- General tidying and improvements to the spec file

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-22
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 23 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 0.4.1-9
- Fix FTBFS due to missing -lm (#1106621)
- Cleanup spec

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Apr 03 2012 Nils Philippsen <nils@redhat.com> - 0.4.1-4
- rebuild against gimp 2.8.0 release candidate

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Dec 16 2011 Nils Philippsen <nils@redhat.com> - 0.4.1-2
- rebuild for GIMP 2.7

* Wed Aug 31 2011 Fabian Deutsch <fabiand@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 25 2009 Fabian Deutsch <fabian.deutsch at gmx.de> 0.3.2-2
- Fix UTF-8
- Using optflags

* Mon Jan 19 2009 Fabian Deutsch <fabian.deutsch at gmx.de> 0.3.2-1
- Updated to 0.3.2
- Includes license note
- Small hack around gimptool-2.0 bug.

* Sun Dec 07 2008 Fabian Deutsch <fabian.deutsch at gmx.de> 0.3.1-1
- Version 0.3.1
- Initial.

